Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Apr 2014, 01:12
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
Python 2.6.4 and Python 3.1.1
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [41 Posts]   Goto page: 1, 2, 3 Next
Author Message
ITAmember

Joined: 13 Sep 2009
Posts: 168
Location: The middle of a cornfield

PostPosted: Thu 05 Nov 2009, 17:50    Post subject:  Python 2.6.4 and Python 3.1.1  

These .pets coexist with other python installations. To make them the default python symlink either /usr/bin/python2.6 or /usr/bin/python3.1 as /usr/bin/python. Both are built without tcl/tk. I currently have both .pets and the Python that comes with devx_xxx.sfs on my puppy.

Python 2.6
Python 3.1

IF YOU DOWNLOADED THIS PET BEFORE NOVEMBER 12, 2009

Please uninstall the old pet and reinstall using the above links. The original pets had some issues.

Last edited by ITAmember on Thu 12 Nov 2009, 14:12; edited 1 time in total
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 05 Nov 2009, 21:28    Post subject:  

eh . . . ? There is no Python in the devx.
You mean Genie?

My intro to Python (ever more ads from the shameless host)
http://peace.wikia.com/wiki/Python

your pets added here
http://puppylinux.org/wikka/Python
(that page needs updating)

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
ITAmember

Joined: 13 Sep 2009
Posts: 168
Location: The middle of a cornfield

PostPosted: Thu 05 Nov 2009, 21:52    Post subject:  

Python 2.5 come with the 4.1.2 devx. Not sure about new devx versions
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 05 Nov 2009, 22:29    Post subject:  

Installed in 4.3.1

created this with geany (idle not available?)

my contribution was
print 'hi'

Code:
#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#       untitled.py
#       
#       Copyright 2009 root <root@puppypc>
#       
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#       
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#       
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.



def main():
   
   return 0

if __name__ == '__main__':
   main()
   
print 'hi'   


then ran from command line like so
Code:
# python untitled.py
hi


Working Smile

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
ITAmember

Joined: 13 Sep 2009
Posts: 168
Location: The middle of a cornfield

PostPosted: Thu 05 Nov 2009, 22:41    Post subject:  

The idle uses tcl/tk and I got errors when I tried to compile Python with tcl/tk. If you want a full feature Python IDE here's a Python plugin for eclipse. http://pydev.org/
Back to top
View user's profile Send private message 
moogsydodong


Joined: 16 Mar 2009
Posts: 81
Location: Tagum City, Davao del Norte, Mindanao, Philippines

PostPosted: Tue 10 Nov 2009, 00:25    Post subject:  

hi ITAmember,

Ive used your python 2.6 and it works fine...

an odd thing though...there is no libpython2.6.so.1.0 in it...
Ive tried compiling python2.6 myself same thing happen...
is this odd or Ive miss something??? Im noob this so I dont know much...

I need the libpython2.6.so.1.0 for blender...
can anyone help me with this.... Sad

_________________
...SHUT UP AND LISTEN!!!...In a battle there is only ONE COMMANDER!!!
Back to top
View user's profile Send private message 
ITAmember

Joined: 13 Sep 2009
Posts: 168
Location: The middle of a cornfield

PostPosted: Tue 10 Nov 2009, 19:16    Post subject:  

There's a libpython2.6.a but not a libpython2.6.so? I sense static library communism. Evil or Very Mad In any case it looks like I need to add some flags to the config script when I recompile. Or maybe it's a problem with the lack of Tcl/TK? But then there wouldn't be any static library... I'll take a look at it.
Back to top
View user's profile Send private message 
moogsydodong


Joined: 16 Mar 2009
Posts: 81
Location: Tagum City, Davao del Norte, Mindanao, Philippines

PostPosted: Wed 11 Nov 2009, 00:11    Post subject:  

hi again

thanks for the fast response...Ive manage to run my blender using the libpython2.6.so.1.0 included in the OO.org sfs...
sad thing though...as I run blender it wont execute any of the scripts included....

running from the command-line blender says that the libpython Ive used is from python2.6.1 therefore it cant find or recognize the installed python2.6.4

hope you can find some way around this...

Thanks in advance...

_________________
...SHUT UP AND LISTEN!!!...In a battle there is only ONE COMMANDER!!!
Back to top
View user's profile Send private message 
ITAmember

Joined: 13 Sep 2009
Posts: 168
Location: The middle of a cornfield

PostPosted: Wed 11 Nov 2009, 20:27    Post subject:  

My extensive research (./configure --help Very Happy) says --enable-shared needs to be added to the configure script command line params. I'm currently building some rather large apps so I won't be able to rebuild until sometime tomorrow. You can build Python with the new params if you can't wait for me.
Back to top
View user's profile Send private message 
moogsydodong


Joined: 16 Mar 2009
Posts: 81
Location: Tagum City, Davao del Norte, Mindanao, Philippines

PostPosted: Thu 12 Nov 2009, 00:16    Post subject:  

hi again

thanks for the reply, again... Very Happy

I'll be trying your suggestion...

also I want to build a python with an IDLE/tkinter much like the python for windows...

they say this is hard to do since tkinter is hard to compile...I'm gonna try it though...wish me luck...

tnx...

moogsy continuing happily with puppy...
woof! woof! Laughing

_________________
...SHUT UP AND LISTEN!!!...In a battle there is only ONE COMMANDER!!!
Back to top
View user's profile Send private message 
ITAmember

Joined: 13 Sep 2009
Posts: 168
Location: The middle of a cornfield

PostPosted: Thu 12 Nov 2009, 14:11    Post subject:  

I got the new files uploaded earlier then I thought so you can just redownload the links.

TO EVERYONE ELSE WHO HAS DOWNLOADED THIS PET

Please uninstall your old version and install the new versions. The old versions where build without shared libraries.
Back to top
View user's profile Send private message 
moogsydodong


Joined: 16 Mar 2009
Posts: 81
Location: Tagum City, Davao del Norte, Mindanao, Philippines

PostPosted: Fri 13 Nov 2009, 00:29    Post subject:  

thank you very much!!!!

I'll try this one...

anyways...do you have any plans of compiling this with tkinter???

if not maybe you can teach me how and try compiling it myself...

...Learning python and blender here...

one happy kennel!!!!

thanks man!!! Very Happy

_________________
...SHUT UP AND LISTEN!!!...In a battle there is only ONE COMMANDER!!!
Back to top
View user's profile Send private message 
moogsydodong


Joined: 16 Mar 2009
Posts: 81
Location: Tagum City, Davao del Norte, Mindanao, Philippines

PostPosted: Fri 13 Nov 2009, 23:48    Post subject:  

Just a lucky night...

I've tried compiling python2.6 with tkinter...

luckily it compiled, installed, and run without problems... Laughing

now I have a python with IDLE like the one we get for windows...
I guess there is no need for windows anymore Laughing

now...I'm looking for a place to upload this files....

hmmmm....

_________________
...SHUT UP AND LISTEN!!!...In a battle there is only ONE COMMANDER!!!
Back to top
View user's profile Send private message 
ITAmember

Joined: 13 Sep 2009
Posts: 168
Location: The middle of a cornfield

PostPosted: Sat 14 Nov 2009, 00:36    Post subject:  

Give it a name that can be distinguished from the pets I named. Go to start->internet->gFTP ftp client, host is ftp.servage.net, user is 123upload, password is puppylinux, create a python subdir and upload your file to there. Then PM forum member MU and ask him to move the contents to http://dotpups.de/puppy4/dotpups/Programming/.
Back to top
View user's profile Send private message 
moogsydodong


Joined: 16 Mar 2009
Posts: 81
Location: Tagum City, Davao del Norte, Mindanao, Philippines

PostPosted: Sat 14 Nov 2009, 07:28    Post subject:  

tnx for the info...

I've named my sfs as python-2.6.4_tcl-tk-8.5_431.sfs...

sad to say I cant use gFTP since my home PC is not connected in the internet...I go online only in Internet cafe during breaks and weekends...

in all cafes here in the Philippines the OS is windows...
maybe I'll use Filezilla to do the upload tomorrow or on Monday...

now I'm gonna explore easyGUI and _tkinter....

taking small steps here...

_________________
...SHUT UP AND LISTEN!!!...In a battle there is only ONE COMMANDER!!!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [41 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0718s ][ Queries: 12 (0.0129s) ][ GZIP on ]